/**
 * PilrcEdit - a graphical editor for PilRC files.
 * Copyright (C) 2000 Rob Nielsen
 * rnielsen@wn.com.au
 * http://www.wn.com.au/rnielsen/
 *
 * Released under the GNU GPL - http://www.gnu.org/copyleft/gpl.html
 */
package pilrcedit.control;

import pilrcedit.*;
import java.awt.*;
import java.io.*;

public class GraffitiShift extends FormObject
{
	public GraffitiShift()
	{
		label=""+(char)13;
		setFont(3);
	}

  public boolean hasWidthAndHeight()
  {
		return false;
	}

  public boolean hasLabel()
  {
		return false;
	}

  public void paint(Graphics g)
  {
		g.setColor(usable?Color.black:Color.lightGray);
    getFont().drawString(g,label,x,y);
    g.setColor(Color.black);
  }

  /**
   * Sets the properties of this object into the given Properties object
   * using the prop.addProperty() methods.
   */
  public void getProperties(Properties prop)
  {
		props=prop;
		prop.addProperty(PROP_LEFT,xExp.getExpression());
		prop.addProperty(PROP_TOP,yExp.getExpression());
	}

  public void parse(StreamTokenizer st) throws IOException
  {
    readLocation(st);
    evaluatePosition();
	}

  public void write(PrintStream ps)
	{
		ps.println(Keywords.get(this,NAME)+" "+Keywords.get(this,AT)+" ("+xExp+" "+yExp+")");
	}
}