/**
 * PilrcEdit - a graphical editor for PilRC files.
 * Copyright (C) 2000 Rob Nielsen
 * rnielsen@wn.com.au
 * http://www.wn.com.au/rnielsen/
 *
 * Released under the GNU GPL - http://www.gnu.org/copyleft/gpl.html
 */
package pilrcedit.control;

import pilrcedit.*;
import java.awt.*;
import java.io.*;
import java.util.Vector;

public class Menu extends FormObject
{
	int numItems=4;
	String[] listItems={"Item1","Item2","Item3","Item4"};
	int visibleItems=4;
	String visibleItemsSt;
  boolean dropdown=false;

  public Menu()
  {
		setFont(0);
	}

  public String getObjectType()
  {
		return "Menu";
	}
/*
  public boolean hasLabel()
  {
		return false;
	}

  public String getSelected()
  {
		return listItems[0];
	}

	protected void parse(StreamTokenizer st) throws IOException
	{
    readID(st);
    st.nextToken(); // BEGIN
    if (st.sval.equals("pulldown"))
    {
			st.nextToken() // BEGIN;
			st.nextToken();
			while (!st.sval.equals("end"))
			{
				st.nextToken(); // MENUITEM

			}
		}
    while (!st.sval.equals("end"))
    {

		}
    loc[HEIGHT]="AUTO";
    parseOptions(st);
    if (font==null)
      setFont(0);
    height=0;
    evaluatePosition();
	}


MENU ID kidMenu1
BEGIN
      PULLDOWN "File"
      BEGIN
      	MENUITEM "Open..." 5000 "O"
      	MENUITEM SEPARATOR
      	MENUITEM "Close" 5002
      END
      PULLDOWN "Edit"
      BEGIN
      	MENUITEM "Undo" 6000 "U"
      	MENUITEM "Cut" 6001 "X"
      	MENUITEM "Copy" 6002 "C"
      	MENUITEM "Paste" 6003"P"
      	MENUITEM SEPARATOR
      	MENUITEM "Keyboard" 6004"K"
      END
END

  public void setPopup(boolean b)
  {
		dropdown=b;
	}

  protected boolean parseOption(StreamTokenizer st) throws IOException
  {
		if (super.parseOption(st))
		  return true;
		if (st.sval.equals("visibleitems"))
		{
			st.lowerCaseMode(false);
			st.nextToken();
			st.lowerCaseMode(true);
			visibleItems=evaluate(visibleItemsSt=st.sval);
		}
		else
		  return false;
		return true;
  }

public void getProperties(Properties prop)
  {
		super.getProperties(prop);
		prop.addProperty("Visible",visibleItemsSt);
	}

  public boolean setProperty(String name,String value,int index)
  {
		try
		{
			if (name.equals("Visible"))
			{
				visibleItems=evaluate(visibleItemsSt=value);
				height=autoHeight();
				props.setProperty("Height",""+height);
			}
			else
				return super.setProperty(name,value,index);
			evaluatePosition();
			return true;
		}
		catch(NumberFormatException e)
		{
			throw(new IllegalArgumentException());
		}
	}

  public int autoWidth()
  {
		int width=0;
		for(int i=0;i<listItems.length;i++)
		{
			int w=font.stringWidth(listItems[i]);
		  if (w>width)
		    width=w;
		}
		return width+10;
	}

	public int autoHeight()
	{
		return font.getHeight()*visibleItems;
	}

  public boolean isVisible()
  {
		return !dropdown;
	}
*/
  public void paint(Graphics g)
  {
	}
	/*
		if (dropdown)
		  return;
		int x1=x;
		int y1=y;
		int x2=x1+width-1;
		int y2=y1+height-1;
		g.setColor(usable?Color.black:Color.lightGray);
		g.fillRect(x,y,width,font.getHeight());
		for(int i=0;i<visibleItems&&i<listItems.length;i++)
		{
  		font.drawString(g,listItems[i],x1+2,y1+font.getHeight()*i,i==0);
  		if (i==visibleItems-1&&visibleItems<listItems.length)
  		{
				Font.getFont(3).drawChar(g,(char)7,x2-9,y1+font.getHeight()*i+1);
			}
		}
		if (dropdown)
		{
			g.drawLine(x1-1,y1,x1-1,y2);
			g.drawLine(x1,y2+1,x2+1,y2+1);
			g.drawLine(x1+1,y2+2,x2,y2+2);
			g.drawLine(x1,y1-1,x2,y1-1);
			g.drawLine(x2+1,y1,x2+1,y2);
			g.drawLine(x2+2,y1+1,x2+2,y2);
	  }
	  else
		  g.drawRect(x-1,y-1,width+1,height+1);
		g.setColor(Color.black);
  }

	protected void write(PrintStream ps)
	{
		StringBuffer sb=new StringBuffer();
		sb.append(getObjectType().toUpperCase());
		for(int i=0;i<numItems;i++)
		  sb.append(" \"").append(listItems[i]).append('"');
		if (idName!=null&&!idName.equalsIgnoreCase("AUTOID"))
			sb.append(" ID ").append(idName);
		else
			sb.append(" AUTOID");
		sb.append(" AT (").append(getLeftString()).append(" ").append(getTopString());
		if (hasWidthAndHeight())
		{
			sb.append(" ").append(getWidthString());
			sb.append(" ").append(getHeightString());
		}
		sb.append(")");
		writeOptions(sb);
		ps.println(sb.toString());
	}

	protected void writeOptions(StringBuffer sb)
	{
		super.writeOptions(sb);
		sb.append(" VISIBLEITEMS ").append(visibleItemsSt);
	}
	*/
}