/**
 * PilrcEdit - a graphical editor for PilRC files.
 * Copyright (C) 2000 Rob Nielsen
 * rnielsen@wn.com.au
 * http://www.wn.com.au/rnielsen/
 *
 * Released under the GNU GPL - http://www.gnu.org/copyleft/gpl.html
 */
package pilrcedit.control;

import pilrcedit.*;
import java.awt.*;
import java.io.*;

public class SelectorTrigger extends FormObject
{
  public int autoWidth()
  {
		return super.autoWidth()+6;
	}

  public void clear(Graphics g)
  {
    g.fillRect(x-1,y-1,width+1,height+1);
  }

  public void paint(Graphics g)
  {
		//g.clearRect(x-1,y-1,width+1,height+1);
		//g.setColor(usable?Color.black:Color.lightGray);
    getFont().drawString(g,TextTools.unescape(label),x+3,y);
    int yp=y+height;
    int ofs=1-height%2;
    for(int i=x-1;i<x+width;i+=2)
    {
      g.drawLine(i,y-1,i,y-1);
      if (i+ofs<x+width)
        g.drawLine(i+ofs,yp,i+ofs,yp);
		}
		int xp=x+width;
		ofs=1-width%2;
		for(int i=y-1;i<y+height;i+=2)
		{
			g.drawLine(x-1,i,x-1,i);
			if (i+ofs<y+height)
  			g.drawLine(xp,i+ofs,xp,i+ofs);
		}
    //g.setColor(Color.black);
  }
}